Altibase.jdbc.driver.cm

## Class CmExecutionResult

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmResult
  - - Altibase.jdbc.driver.cm.CmStatementIdResult
    - - Altibase.jdbc.driver.cm.CmExecutionResult

    public class CmExecutionResult
    extends CmStatementIdResult

### Constructor Summary

Constructors
Constructor and Description
`CmExecutionResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearBatchUpdateCount()`
`int` `getResultSetCount()`
`int` `getRowNumber()`
`long` `getUpdatedRowCount()`
`long[]` `getUpdatedRowCounts()`
`boolean` `isBatchMode()`
`void` `setBatchMode(boolean aMode)`
`void` `setRowNumber(int aRowNumber)`

### Methods inherited from class Altibase.jdbc.driver.cm.CmStatementIdResult

`getStatementId, setStatementId`

### Methods inherited from class Altibase.jdbc.driver.cm.CmResult

`getError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmExecutionResult

    public CmExecutionResult()

### Method Detail

#### getRowNumber

    public int getRowNumber()

#### setRowNumber

    public void setRowNumber(int aRowNumber)

#### getResultSetCount

    public int getResultSetCount()

#### getUpdatedRowCount

    public long getUpdatedRowCount()

#### getUpdatedRowCounts

    public long[] getUpdatedRowCounts()

#### clearBatchUpdateCount

    public void clearBatchUpdateCount()

#### isBatchMode

    public boolean isBatchMode()

#### setBatchMode

    public void setBatchMode(boolean aMode)